Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.workflow.persistence.memory
Class RunPersistenceImpl

    java.lang.Object
      net.sf.dropboxmq.workflow.persistence.memory.RunPersistenceImpl

All Implemented Interfaces:
  RunPersistence

    public class RunPersistenceImpl

extends Object
implements RunPersistence

Created: 03 Oct 2010

Version:
  $Revision$, $Date$
Author:
  Dwayne Schultz

Constructor Summary
`RunPersistenceImpl(StatePersistenceImpl statePersistence, ProcessPersistenceImpl processPersistence, ProcessTypePersistenceImpl processTypePersistence)`

Method Summary
`List<Run>` | `getActiveRunsByProcessType(int processTypeId)`
`(package private) Run` | `getExistingRunById(int id)`
`Run` | `getLastUpdatedRunByKeyAndProcessType(String key, int processTypeId)`
`void` | `storeRun(Run run)`
`void` | `updateState(int runId, Integer toStateId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RunPersistenceImpl

    public RunPersistenceImpl(StatePersistenceImpl statePersistence,
                              ProcessPersistenceImpl processPersistence,
                              ProcessTypePersistenceImpl processTypePersistence)

Method Detail

### storeRun

    public void storeRun(Run run)

  Specified by:
    `storeRun` in interface `RunPersistence`

### getActiveRunsByProcessType

    public List<Run> getActiveRunsByProcessType(int processTypeId)

  Specified by:
    `getActiveRunsByProcessType` in interface `RunPersistence`

### getLastUpdatedRunByKeyAndProcessType

    public Run getLastUpdatedRunByKeyAndProcessType(String key,
                                                    int processTypeId)

  Specified by:
    `getLastUpdatedRunByKeyAndProcessType` in interface `RunPersistence`

### updateState

    public void updateState(int runId,
                            Integer toStateId)

  Specified by:
    `updateState` in interface `RunPersistence`

### getExistingRunById

    Run getExistingRunById(int id)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD